### Constructor

# Gsk ClipNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_clip_node_new (
      GskRenderNode* child,
      const graphene_rect_t* clip
    )

#### Description [src]

Creates a `GskRenderNode` that will clip the `child` to the area given by `clip`.

#### Parameters

`child`

  Type: `GskRenderNode`

  The node to draw.

  The data is owned by the caller of the function.

`clip`

  Type: `graphene_rect_t`

  The clip to apply.

  The data is owned by the caller of the function.

#### Return value

Type: `GskClipNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.